% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/header-transform.R
\name{split_header}
\alias{split_header}
\alias{separate_header}
\title{Split the header based on delimiters}
\usage{
split_header(x, sep = "[_.]", theme_fun = NULL, ...)

separate_header(x, sep = "[_.]", theme_fun = NULL, ...)
}
\arguments{
\item{x}{A \code{flextable} object`}

\item{sep}{Separator between columns.

If character, \code{sep} is interpreted as a regular expression. The default
value is a regular expression that matches any sequence of
non-alphanumeric values.

If numeric, \code{sep} is interpreted as character positions to split at. Positive
values start at 1 at the far-left of the string; negative value start at -1 at
the far-right of the string. The length of \code{sep} should be one less than
\code{into}.}

\item{theme_fun}{A flextable theme function.
When \code{NULL} (default), the value is resolved by
\code{flextable::get_flextable_defaults()}.}

\item{...}{Passed to \code{theme_fun}}
}
\description{
Split the header based on delimiters
}
\note{
\code{split_header} is a rename of \code{separate_header} and the latter will be removed in the future release.
}
\examples{
iris \%>\%
  flextable() \%>\%
  separate_header()
}
